@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

.community-content {
  margin: 50px auto;
  width: 100%;
  max-width: 1440px;
  padding: 0 200px;
}

.community-item {
  text-align: center;
  padding: 40px;
  margin-bottom: 50px;
  box-sizing: border-box;
  border-radius: $border-radius-large;
  box-shadow: 0 2px 4px $dropdown-filter-border-color;
  background: $color-white;
  cursor: pointer;
  color: $color-dark;
  width: 100%;

  img {
    height: 34px;
    margin: auto;
    margin-bottom: 20px;
    transition: .2s cubic-bezier(0, 0, 0, 1);
  }

  h4 {
    margin-top: 0;
  }

  p {
    color: $color-gray;
  }

}

.community-item:not(:first-child) {
  margin-left: 50px;
}

.community-item:hover {
  text-decoration: none;
  color: $color-dark;

  img {
    transform: scale(1.1);
  }

  .community-item-info {
    transform: translateY(4px);
  }

}

.community-item-info {
  transition: .2s cubic-bezier(0, 0, 0, 1);
}

@media screen and (max-width: $screen-lg-min) {

  .community-content {
    padding: 0 80px;
  }

  .community-item {
    margin-bottom: 20px;
  }

  .community-item:not(:first-child) {
    margin-left: 20px;
  }

}

@media screen and (max-width: $screen-md-min) {

  .community-content {
    margin-top: 20px;
    margin-bottom: 80px;
    padding: 0 20px;
  }

  .community-content-row {
    flex-wrap: wrap;
  }

  .community-item:not(:first-child) {
    margin-left: 0;
  }

}
